Bug 474638 - Upgrade from F9 to F10 breaks preexisting Eclipse CDT projects
Upgrade from F9 to F10 breaks preexisting Eclipse CDT projects
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: eclipse-cdt (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Jeff Johnston
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-04 13:36 EST by Dave Ludlow
Modified: 2009-12-18 02:09 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:09:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Eclipse log (7.49 KB, text/plain)
2008-12-04 13:36 EST, Dave Ludlow
no flags Details

  None (edit)
Description Dave Ludlow 2008-12-04 13:36:51 EST
Created attachment 325718 [details]
Eclipse log

Description of problem:
Upgrade from F9 to F10 breaks existing Eclipse CDT projects

Version-Release number of selected component (if applicable):
3.4.1

How reproducible:
Every time.  The same thing happened on my x86 laptop and two x86_64 desktops.  All were purged of any third party RPMs and completely updated prior to upgrading from Fedora 9 to Fedora 10.

Steps to Reproduce:
1. Have a C/C++ project in Fedora 9 Eclipse
2. Upgrade to Fedora 10
3. Go into the projects properties, then click C/C++ Build
  
Actual results:
An error dialog opens stating:

Problem Occurred
An error has occurred. See error log for more details.
java.lang.NullPointerException

Changes made to the C/C++ Build dialog page are not saved.

Expected results:

No error message and changes made to the C/C++ Build dialog page are saved.

Additional info:
Project | Build Configurations | Manage - the New button does nothing and the Rename button does not appear to be effective.

Deleting and recreating the project resolves the problem.
Comment 1 Dave Ludlow 2008-12-04 13:38:14 EST
Comment on attachment 325718 [details]
Eclipse log

Attachment should be text/plain
Comment 2 Bug Zapper 2009-11-18 05:20:17 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-12-18 02:09:32 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.